### Function

# Gegl TileBackend unlink_swap

deprecated: 0.4.14

#### Declaration [src]

    void
    gegl_tile_backend_unlink_swap (
      gchar* path
    )

#### Description [src]

Delete a swap file from disk. This must be used by tile backends which may swap to disk under certain circonstances.

For safety, this function will check that the swap file is in the swap directory before deletion but it won’t perform any other check.

Deprecated since: 0.4.14

This function is not compatible with a dynamically- changing swap path. Use `gegl_buffer_swap_remove_file()` instead.

#### Parameters

`path`

  Type: `gchar*`

  The path where the gegl tile backend has swapped.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.